Documentation Index

Fetch the complete documentation index at: https://kb.solargis.com/llms.txt

Use this file to discover all available pages before exploring further.

Integration setup - get the Time Series requestId

Prev Next
Post
/ts-integration/data-request

This guide explains how to set up the Time Series API integration to obtain a requestId . This endpoint is for integration testing only — it does not support downloading data from your live Solargis account. Once you have a requestId, proceed to Get the sample location data to understand the response structure.

Request type:

POST

URL:

https://api.solargis.com/ts-integration/data-request/ 

Authorization:

Bearer {API token}

Body parameters:

See the specification below

Prerequisites
  • You must have an integration account. If you don't have one, contact the Sales team.

  • You must generate an API token to authenticate calls to the integration account.

Things to know
  • Calls to the integration API endpoint are free of charge.

  • The request parameters are fixed. Changing them will cause an error.

  • If 1-minute data is included in the request, the request period must be at least 1 year.

  • You can test the endpoint directly in the API console on the right. See Using the API console for instructions.


Security
HTTP
Type bearer

Enter your Solargis TimeSeries Bearer token. Example: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Body parameters
{
  "site": {
    "latitude": 48.88375,
    "longitude": 20.159472,
    "siteName": "Basic example Site"
  },
  "timeStep": "PT15M",
  "columns": [
    "GHI",
    "DNI",
    "DIF",
    "GHI_NOSHD",
    "DNI_NOSHD",
    "DIF_NOSHD",
    "GTI_NOSHD",
    "GTI",
    "CI_FLAG",
    "SUN_ELEVATION",
    "SUN_AZIMUTH",
    "PANEL_AZIMUTH",
    "PANEL_TILT",
    "PANEL_INC",
    "TEMP",
    "WS",
    "WD",
    "WG",
    "RH",
    "AP",
    "PWAT",
    "PREC",
    "TD",
    "WBT",
    "SDWE",
    "SFWE"
  ],
  "compressOutput": false,
  "fromDate": "AUTODETECT",
  "toDate": "2023-12-31",
  "outputFormat": "SOLARGIS_JSON",
  "timeAlignment": "CENTER",
  "utcOffset": "+01:00",
  "terrainShading": true,
  "environment": {
    "surfaceAlbedo": 0.12,
    "horizon": {
      "azimuth": [
        0,
        37.5,
        60,
        82.5,
        105,
        127.5,
        150,
        172.5,
        195,
        217.5,
        240,
        262.5,
        285,
        307.5,
        330,
        352.5
      ],
      "height": [
        0.705,
        1.0588235,
        1.058894,
        1.428,
        0.70588764,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0
      ]
    }
  },
  "gtiConfiguration": {
    "layout": {
      "mounting": {
        "type": "FIXED_ONE_ANGLE",
        "tilt": 39
      }
    }
  },
  "fileLabel": "ts_pro"
}
object
site
object Required

Geographic location of the site for which data is requested.

latitude
number (double)

Geographic latitude of the site in decimal degrees (WGS84).

Example48.88375
longitude
number (double)

Geographic longitude of the site in decimal degrees (WGS84).

Example20.159472
siteName
string

Human-readable label identifying the site in output files and logs.

ExampleBasic example Site
timeStep
string Required

Temporal resolution of the output data; 15-minute intervals (PT15M) are supported for integration.

Valid values[ "PT15M" ]
ExamplePT15M
columns
Array of string Required

List of meteorological and solar parameters to include in the output.

Example[ "GHI", "DNI", "DIF", "GHI_NOSHD", "DNI_NOSHD", "DIF_NOSHD", "GTI_NOSHD", "GTI", "CI_FLAG", "SUN_ELEVATION", "SUN_AZIMUTH", "PANEL_AZIMUTH", "PANEL_TILT", "PANEL_INC", "TEMP", "WS", "WD", "WG", "RH", "AP", "PWAT", "PREC", "TD", "WBT", "SDWE", "SFWE" ]
string
Valid values[ "GHI", "DNI", "DIF", "GHI_NOSHD", "DNI_NOSHD", "DIF_NOSHD", "GTI_NOSHD", "GTI", "CI_FLAG", "SUN_ELEVATION", "SUN_AZIMUTH", "PANEL_AZIMUTH", "PANEL_TILT", "PANEL_INC", "TEMP", "WS", "WD", "WG", "RH", "AP", "PWAT", "PREC", "TD", "WBT", "SDWE", "SFWE", "UVA", "UVB", "PAR", "KT", "KC", "PM2P5", "PM10" ]
outputFormat
string Required

Output file format for the time series data; only SOLARGIS_JSON is supported for integration.

Valid values[ "SOLARGIS_JSON" ]
ExampleSOLARGIS_JSON
compressOutput
boolean

When true, the output file is compressed as a ZIP archive.

Defaultfalse
Examplefalse
fromDate
string (string)

Start date in ISO 8601 format (YYYY-MM-DD). Use AUTODETECT to automatically select the earliest available start date.

Pattern^(AUTODETECT|\d{4}-\d{2}-\d{2})$
ExampleAUTODETECT
toDate

End date in ISO 8601 format (YYYY-MM-DD). Use LAST_MONTH or LAST_YEAR for relative date selection.

Example2023-12-31
AnyOf
string
string
Valid values[ "LAST_MONTH", "LAST_YEAR" ]
string (date)
string
timeAlignment
string

Defines whether timestamps represent the center, start (left), or end (right) of each time interval.

Valid values[ "CENTER", "LEFT", "RIGHT" ]
Default"CENTER"
ExampleCENTER
utcOffset
string

UTC offset for the output timestamps in ±HH:MM format.

Pattern^[+-]\d{2}:\d{2}$
Example+01:00
terrainShading
boolean

When true, applies terrain horizon shading to irradiance calculations.

Defaultfalse
environment
object

Site-specific environmental parameters that influence irradiance calculations.

surfaceAlbedo

Surface albedo as a single annual value or an array of 12 monthly values (Jan–Dec).

OneOf
number
number
Example0.12
array
array
number
horizon
object

Custom horizon profile defined by azimuth–height pairs to account for local obstructions.

azimuth
Array

Array of azimuth angles in degrees (0–360, measured clockwise from north) defining the horizon profile.

Example[ 0.0, 37.5, 60.0, 82.5, 105.0, 127.5, 150.0, 172.5, 195.0, 217.5, 240.0, 262.5, 285.0, 307.5, 330.0, 352.5 ]
OneOf
integer
integer
number
number
height
Array

Array of horizon elevation angles in degrees corresponding to each azimuth point.

Example[ 0.705, 1.0588235, 1.058894, 1.428, 0.70588764, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0 ]
OneOf
integer
integer
number
number
gtiConfiguration
object (gtiIntegratoinConfigurationSchema)

Panel mounting configuration used to compute plane-of-array irradiance (GTI) for integration requests.

layout
object

Physical layout of the PV panel installation.

mounting

Mounting system type and its associated configuration parameters.

OneOf
FixedOneAngleMounting
object (FixedOneAngleMounting)
type
string Required

Identifies the mounting type as fixed single-angle.

Valid values[ "FIXED_ONE_ANGLE" ]
ExampleFIXED_ONE_ANGLE
tilt
number Required

Panel tilt angle in degrees from horizontal (0° = flat, 90° = vertical).

Minimum0.0
Maximum90.0
Example39.0
TrackerOneAxisHorizontalMounting
object (TrackerOneAxisHorizontalMounting)
type
string Required

Identifies the mounting type as a horizontal single-axis tracker.

Valid values[ "TRACKER_ONE_AXIS_HORIZONTAL" ]
backtracking
boolean Required

When true, the tracker uses backtracking to avoid inter-row shading at low sun angles.

rotationLimitEast
number Required

Maximum rotation angle in degrees toward the east (negative value).

Minimum-180.0
Maximum0.0
Example-50.0
rotationLimitWest
number Required

Maximum rotation angle in degrees toward the west (positive value).

Minimum0.0
Maximum180.0
Example50.0
TrackerOneAxisInclinedMounting
object (TrackerOneAxisInclinedMounting)
type
string Required

Identifies the mounting type as an inclined single-axis tracker.

Valid values[ "TRACKER_ONE_AXIS_INCLINED" ]
axisTilt
number Required

Tilt angle of the tracker rotation axis from horizontal, in degrees.

Minimum0.0
Maximum90.0
Example30.0
backtracking
boolean Required

When true, the tracker uses backtracking to avoid inter-row shading at low sun angles.

rotationLimitEast
number Required

Maximum rotation angle in degrees toward the east (negative value).

Example-50.0
rotationLimitWest
number Required

Maximum rotation angle in degrees toward the west (positive value).

Example50.0
TrackerOneAxisVerticalMounting
object (TrackerOneAxisVerticalMounting)
type
string Required

Identifies the mounting type as a vertical single-axis (azimuth) tracker.

Valid values[ "TRACKER_ONE_AXIS_VERTICAL" ]
tilt
number Required

Fixed panel tilt angle in degrees from horizontal.

Minimum0.0
Maximum90.0
Example30.0
azimuthLimitEast
number Required

Maximum azimuth rotation limit toward the east in degrees (negative value).

Minimum-180.0
Maximum0.0
Example-120.0
azimuthLimitWest
number Required

Maximum azimuth rotation limit toward the west in degrees (positive value).

Minimum0.0
Maximum180.0
Example120.0
backtracking
boolean Required

When true, the tracker uses backtracking to avoid inter-row shading at low sun angles.

TrackerTwoAxisMounting
object (TrackerTwoAxisMounting)
type
string Required

Identifies the mounting type as a two-axis tracker.

Valid values[ "TRACKER_TWO_AXIS" ]
backtracking
boolean Required

When true, the tracker uses backtracking to avoid inter-row shading at low sun angles.

tiltLimitMin
number Required

Minimum allowable tilt angle in degrees from horizontal.

Minimum0.0
Maximum90.0
Example10.0
tiltLimitMax
number Required

Maximum allowable tilt angle in degrees from horizontal.

Minimum0.0
Maximum90.0
Example90.0
azimuthLimitEast
number Required

Maximum azimuth rotation limit toward the east in degrees (negative value).

Example-90.0
azimuthLimitWest
number Required

Maximum azimuth rotation limit toward the west in degrees (positive value).

Example90.0
fileLabel
string

Short identifier prepended to output file names for easy recognition.

Examplets_pro_site
Responses
200

RequestId retrieved

object
requestId
string

Unique identifier used to retrieve the processed data in a subsequent GET request.

401

Invalid authorization

object

Invalid authorization

error
string

Machine-readable error code indicating the authentication failure reason.

Exampletoken.invalid